Name:		gluster-colonizer
Version:	1.2
Release:	2%{?dist}
%global sum	Installer for gluster storage for preconfigured hardware
Summary:	%{sum}

License:	GPLv3

URL:		https://github.com/gluster/gluster-colonizer.git
Source0:	https://github.com/gluster/gluster-colonizer/archive/v%{version}.tar.gz
Source1:        branding.yml
Patch0:         0001-init-setup-path-fix.patch

BuildRequires:  python2-devel, python-gluster, python-setuptools
BuildArch:	noarch
Requires:       python-netaddr, NetworkManager, gdeploy, ansible >= 2.5.2, python-gluster-zeroconf, gluster-zeroconf-avahi, fio, PyYAML >= 3.10

%description
gluster-colonizer is best thought of as an opinionated installer for Gluster Storage. 
It solves the problem of quick deployment of Gluster for customers who have purchased
hardware that has been pre-validated for use with the Colonizer tool.


%prep
%setup -n %{name}-%{version}
cp -p %{SOURCE1} .

%patch0 -p1

%build
%py2_build

%install
%py2_install
mkdir -p %{buildroot}%{_bindir}/
ln -s %{python2_sitelib}/%{name}/gluster-colonizer.py %{buildroot}%{_bindir}/gluster-colonizer.py
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p -r oemid  %{buildroot}%{_datadir}/%{name}
cp -p -r resources  %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/playbook
cp -p branding.yml %{buildroot}%{_datadir}/%{name}/
cp -p -r ansible %{buildroot}%{_datadir}/%{name}/playbook
rm -f %{buildroot}%{_datadir}/%{name}/oemid/g1-id-kvm-media.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/g1-id-kvm-nas.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/verify-storchris.yml
rm -f %{buildroot}%{_datadir}/%{name}/oemid/verify-vagrant.yml
chmod 755 %{buildroot}%{python2_sitelib}/%{name}/gluster-colonizer.py


%files
%license LICENSE
%doc README.md
%{_bindir}/gluster-colonizer.py
%{_datadir}/%{name}/
%{python2_sitelib}/gluster_colonizer*.egg-info
%{python2_sitelib}/%{name}/__init__.py*
%{python2_sitelib}/%{name}/g1modules.py*
%{python2_sitelib}/%{name}/gluster-colonizer.py*


%changelog

* Fri Jul 20 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.2.0-2
- Resolves: #1600070 - [Packaging] Add NetworkManager as a dependency 
			for the gluster colonizer tool 

* Tue Jun 19 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.2.0-1
- New Sources v1.2
- Resolves: #1592527 - [Rebase] Downstream packaging request for 
		       gluster-colonizer v1.2 for RHGS 3.4

* Tue Apr 03 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.1.0-2
- New Sources v1.1
- Resolves: #1546492 - do not add mount details into /etc/fstab when 
                       mounting for performance tests which is temporary
- Resolves: #1563582 - Enable SMB CTDB yaml playbooks for gluster colonizer  
- Resolves: #1535403 - prompt user to choose or mention the volume name
- Resolves: #1551644 - Colonizer doesnt seem to be cleaning LVM and VGs 
                       correctly when checking for existing gluster bricks

* Thu Mar 08 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.0.4-3
- Resolves: #1553011 - Colonizer deployment fails at volume create 
                       due to one host not being peer probed when 
                       hostnames are entered manually  


* Wed Mar 07 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> -1.0.4-2
- Resolves: #1546748 - nfs-ganesha service getting started only on
                       node where colonizer is being executed

* Mon Feb 26 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.4-1
- New Source v1.0.4
- Resolves: #1546748 - nfs-ganesha service getting started only on
                       node where colonizer is being executed
- Resolves: #1549043 - Downstream specific path for gluster-colonizer 
                       playbook path 


* Mon Feb 19 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.3-1
- New Source v1.0.3
- Resolves: #1544917 - Colonizer should abort on any ansible play 
                       failures
- Resolves: #1545957 - Entries in /etc/hosts file can be overwritten 
                       by playbook due to bad regex

* Fri Feb 16 2018 Ramakrishna Reddy Yekulla <reddy@redhat.com> - 1.0.2-1
- New source v1.0.2, resolves filepath changes
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool 
                        to the main gluster release
                    
* Tue Feb 06 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.1-2
- Fixed yml files in the oemid path
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool
                        to the main gluster release


* Mon Feb 05 2018 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.1-1
- Adding new sources from upstream gluster-colonizer repository
- Adding the Branding YAML file for RHSOne
- Resolves: #1489473 -  [RFE] Request to add the RHS ONE colonizer tool
                        to the main gluster release




* Tue Nov 28 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 1.0.0-6
- Adding python-gluster-zeroconf subpackage as requires
- Adding gluster-zeroconf-avahi subpackage as requires
- Resolves: #1518206 - python-gluster-zeroconf and gluster-zeroconf-avahi
                       subpackages as dependencies to gluster-colonizer.


* Wed Nov 15 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-3
- removing the setuptools reference
- rhbz : #1489473


* Tue Nov 7 2017 Ramakrishna Reddy Yekulla <rreddy@redhat.com> - 0.1.0-2
- updated to upstream 1.0.0 release 
- Resolves: #1489473 - 	[RFE] Request to add the RHS ONE colonizer tool 
                        to the main gluster release 

